@charset "utf-8";
/* CSS Document */

.menu_wrap {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 1;
	display: none;
}

.menu_wrap .toggler {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 2;
	cursor: pointer;
	width: 50px;
	height: 50px;
	opacity: 0;
}

.menu_wrap .hamburger {
	position: absolute;
	left: 0;
	top: 0;
	z-index: 1;
	width: 2.25rem;
	height: 2.25rem;
	padding: 0.5rem;
	background: black;
	display: flex;
	align-items: center;
	justify-content: center;
	transition: all 0.4s ease;
}

.menu_wrap .hamburger > div {
	position: relative;
	width: 100%;
	height: 2px;
	background: white;
	display: flex;
	align-content: center;
	transition: all 0.4s ease;
}

.menu_wrap .hamburger > div:after, .menu_wrap .hamburger > div:before {
	content: '';
	position: absolute;
	z-index: 1;
	top: -5px;
	width: 100%;
	height: 2px;
	background: inherit;
}

.menu_wrap .hamburger > div:before {
	top: 5px;
}

.menu_wrap .toggler:checked + .hamburger > div {
	transform: rotate(135deg);
}

.menu_wrap .toggler:checked + .hamburger > div:before, .menu_wrap .toggler:checked + .hamburger > div:after {
  top: 0;
  transform: rotate(90deg);
}

.menu_wrap .toggler:checked + .hamburger > div:before, .menu_wrap .toggler:checked + .hamburger > div:after, {
	transform: rotate(225deg);
}


.menu_wrap .menu {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	visibility: hidden;
	overflow: hidden;
	display: flex;
	align-items: center;
	justify-content: center;
}

.menu_wrap .menu > div {
	background: rgba(0,0,0,0.5);
	border-radius: 50%;
	width: 250vh;
	height: 250vh;
	display: flex;
	flex: none;
	align-items: center;
	align-content: center;
	justify-content: center;
	transform: scale(0);
	transition: all 0.4s ease;
}

.menu_wrap .menu > div > div {
	text-align: center;
	max-width: 90vh;
	min-height: 100vh;
	opacity: 0;
	transition: opacity 0.4s ease;
}


.menu_wrap .toggler:checked ~ .menu {
	visibility: visible;
}

.menu_wrap .toggler:checked ~ .menu > div {
	transform: scale(1);
	transition-duration: 0.4s;
}

.menu_wrap .toggler:checked ~ .menu > div > div {
	opacity: 1;
	transition:  opacity 0.4s ease 0.4s;
}

.menu_wrap .menu {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	visibility: hidden;
	overflow: hidden;
	display: flex;
	align-items: center;
	justify-content: center;
}

.menu_wrap .menu > div {
	background: rgba(15,0,0,0.85);
	border-radius: 50%;
	width: 200vw;
	height: 200vw;
	display: flex;
	flex: none;
	align-items: center;
	align-content: center;
	justify-content: center;
	transform: scale(0);
	transition: all 0.4s ease;
}

.menu_wrap .menu > div > div {
	text-align: center;
	max-width: 90vw;
	max-height: 100vh;
	padding-top: 15vh;
	opacity: 0;
	transition: opacity 0.4s ease;
}

.menu_wrap .menu > div > div > ul > li {
	width: 85vw;
	list-style: none;
	color: #fff;
	font-size: 1.25rem;
	padding: 1rem;
	border-bottom: 1px dotted white;
}

.menu_wrap .menu > div > div > ul > li > a {
	color: inherit;
	text-decoration: none;
	transition: color 0.4s ease;
}

